export interface ImageData {
    id: number;
    tags?: string;
    tag_string?: string;
    created_at?: string | number;
    source: string;
    score: string;
    file_url?: string;
    file_size: number;
    preview_file_url?: string;
    preview_url?: string;
    large_file_url?: string;
    sample_url?: string;
    rating: string;
    height?: number;
    image_height?: number;
    width?: number;
    image_width?: number;
    directory: string;
    image: string;
    success?: string;
    message?: string;
}
export declare class Image {
    protected data: ImageData;
    private readonly site;
    id: number;
    tags: string[];
    createdAt?: Date;
    source?: string;
    score: number;
    fileURL: string;
    fileSize?: number;
    previewURL?: string;
    sampleURL?: string;
    rating: string;
    width: number;
    height: number;
    constructor(data: ImageData, site: string);
}
